Subject: bug#39347: closed (Re: bug#39347: 28.0.50; iso8601-parse can't handle all legal date values?)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 30 Jan 2020 03:33:02 +0000

Your bug report

#39347: 28.0.50; iso8601-parse can't handle all legal date values?

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39347: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39347
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#39347: 28.0.50; iso8601-parse can't handle all legal date values?
From: Eric Abrahamsen <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 29 Jan 2020 19:32:10 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Lars Ingebrigtsen <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> Hm...  I didn't add support for "---12T14" (that is, 14:00 on the
>> twelfth)...  I didn't peruse the 2000 version of the standard
>> sufficiently to see whether that was supposed to be valid or not.  My
>> guess is that it was.  :-/
>
> OK, I couldn't live with that, so I've now made this work:
>
> (iso8601-parse "---12T14")
> => (0 0 14 12 nil nil nil -1 nil)
>
> This'll be useful for exactly nobody.  :-)

I already count as one!

Closing the bug report now -- thanks.

Subject: 28.0.50; iso8601-parse can't handle all legal date values?
From: Eric Abrahamsen <[email-masked]>
To: [email-masked]
Date: Wed, 29 Jan 2020 13:00:43 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

I'm writing a small library for parsing vcards, and would like to use
the new iso8601 library, when available, for parsing date properties.

I'm testing out `iso9601-parse' with the example values from the vcard
RFC, and am getting errors from the example date value "---12", from
https://tools.ietf.org/html/rfc6350#section-4.3.1.

My understanding is that "---12" as a date should parse to:

(nil nil nil 12 nil nil nil -1 nil)

Ie, "the twelfth" (though the twelfth of what, we don't know). "----12"
also raises an error. The value "--0412" parses correctly to "April
twelfth".

Is this a bug that can be fixed, or a date value that isn't supported?

Thanks,
Eric